Bug 11980 - SVG allocates needlessly huge pattern tiles during rendering
Summary: SVG allocates needlessly huge pattern tiles during rendering
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 116136
Blocks: 5526
  Show dependency treegraph
 
Reported: 2006-12-26 08:07 PST by Eric Seidel (no email)
Modified: 2013-05-14 21:32 PDT (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2006-12-26 08:07:33 PST
SVG allocates needlessly huge pattern tiles during rendering

SVG needs method to find final rendered size for a given length

This is really just a simple bit of code which figures out the current absoluteTransform and applies it to a given length.  This could be used by bug 5526 as well.

This currently causes svg/custom/pattern-in-defs.svg to intermittently fail.
Comment 1 Nikolas Zimmermann 2007-01-02 04:25:30 PST
Fixed by bug 12013 patch. Landed in r18521.